<DropdownList
  class='dropdown-language'
  ...attributes
  @text={{this.selectedLanguage}}
  @icon='language'
>
  {{#each @languages as |language|}}
    <button
      class='dropdown-item'
      type='button'
      {{on 'click' (fn this.selectLanguage language.locale)}}
    >
      {{language.name}}
    </button>
  {{/each}}
</DropdownList>